/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.location;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.yiring.auth.domain.user.User;
import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.Comment;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/18 9:25
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
@FieldNameConstants
@Entity
@Table(name = "BS_FENCE_ALARM_PUSH_LOG")
@Comment("围栏报警推送记录")
public class FenceAlarmPushLog extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 7859768330784835564L;

    @ManyToOne
    @JoinColumn(name = "fence_alarm_id")
    @JsonIgnore
    @Comment("围栏报警记录")
    private LocationFenceAlarm fenceAlarm;

    @Comment("通知方式")
    private Integer informManner;

    @Comment("接收状态")
    private Integer status;

    @Comment("接收时间")
    private LocalDateTime time;

    @ManyToOne
    @JoinColumn(name = "user_id")
    @JsonIgnore
    @Comment("报警接收人")
    User user;
}
