/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.location;

import java.io.Serializable;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * @author tml
 * @version 1.0
 * 2022/4/29 11:40
 */
@Repository
public interface LocationFenceRuleRepository
    extends JpaRepository<LocationFenceRule, Serializable>, JpaSpecificationExecutor<LocationFenceRule> {
    /**
     * 根据围栏id查询规则
     * @param fence 围栏id
     * @return 规则
     */
    List<LocationFenceRule> findAllByFence(LocationFence fence);
}
