/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.location;

import java.io.Serializable;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @author Jim
 * @version 0.1
 * 2022/5/12 18:13
 */

@Repository
public interface LocationTurnoverRepository
    extends JpaRepository<LocationTurnover, Serializable>, JpaSpecificationExecutor<LocationTurnover> {
    /**
     * 查询进入围栏状态为最新的所有
     * @param fenceId 围栏id
     * @param enter 是否是进入
     * @return 所有信息
     */
    @Query(
        "SELECT l FROM LocationTurnover l WHERE l.sourceId = ?1 AND l.type = 'FENCE' AND l.enter = ?2 AND l.isLatest = true"
    )
    List<LocationTurnover> withinFence(Long fenceId, Boolean enter);
}
