/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.risk;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Set;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/23 17:58
 */
@Repository
public interface RiskWarnRepository extends JpaRepository<RiskWarn, Serializable>, JpaSpecificationExecutor<RiskWarn> {
    /**
     * 批量启用或停用
     * @param ids ids
     * @param enable 启用或停用
     * @param now 当前时间
     * @return 修改的条数
     */
    @Query(value = "UPDATE RiskWarn SET enable = :enable, updateTime = :now WHERE id IN (:ids)")
    @Modifying
    int batchEnable(@Param("ids") Set<Long> ids, @Param("enable") boolean enable, @Param("now") LocalDateTime now);
}
