/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.risk;

import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.hibernate.annotations.Comment;

/**
 * 风险撤离推送
 *
 * @author LJ-2204
 * @date 2022/5/23
 */

@Getter
@Setter
@ToString
@SuperBuilder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_RISK_WITHDRAWAL_PUSH")
@Comment("风险撤离推送")
public class RiskWithdrawalPush extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = -9180079134512271247L;

    @Comment("风险推送")
    @ManyToOne
    RiskPush riskPush;

    @Comment("通知方式")
    String types;

    @Comment("通知范围")
    String scope;
}
