/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.workArea;

import com.yiring.app.domain.video.Video;
import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import javax.persistence.*;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.hibernate.annotations.Comment;
import org.hibernate.annotations.Type;
import org.locationtech.jts.geom.Geometry;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/20 16:08
 */
@Getter
@Setter
@ToString
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_WORK_AREA")
@Comment("工区")
public class WorkArea extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = -6738299404223231827L;

    @Comment("工区名称")
    String workAreaName;

    @Comment("消抖阈值（秒）")
    Integer threshold;

    @Comment("超时时间（秒）")
    Integer timeout;

    @Comment("负责人")
    String personInCharge;

    @Comment("联系电话")
    String mobile;

    @Comment("监控设备")
    @OneToOne
    Video video;

    @Comment("位置信息")
    @Type(type = "jts_geometry")
    @Column(columnDefinition = "geometry(Geometry,4326)")
    private Geometry geometry;
}
