/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.fence;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/20 9:44
 */
@ApiModel("实时报警记录")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class FenceAlarmLogParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 3164664481416232633L;

    @ApiModelProperty(value = "开始时间", example = "2022-05-01 00:00:00", required = true)
    @NotNull(message = "开始时间不能为空")
    private LocalDateTime beginTime;

    @ApiModelProperty(value = "结束时间", example = "2022-10-30 00:00:00", required = true)
    @NotNull(message = "结束时间不能为空")
    private LocalDateTime endTime;
}
