/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.rule;

import com.yiring.common.constant.RegEx;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.Pattern;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/23 10:08
 */
@ApiModel("TimeParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TimeParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 3657642913058744140L;

    @ApiModelProperty(value = "星期", example = "星期一")
    @Pattern(regexp = RegEx.TIME_RULE, message = "时间格式不正确")
    private String week;

    @ApiModelProperty(value = "起始时间", example = "08:00:00")
    @Pattern(regexp = RegEx.TIME_RULE, message = "时间格式不正确")
    private String beginTime;

    @ApiModelProperty(value = "终止时间", example = "18:00:00")
    @Pattern(regexp = RegEx.TIME_RULE, message = "时间格式不正确")
    private String endTime;
}
