/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.risk;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 风险推送
 *
 * @author LJ-2204
 * @date 2022/5/23
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("RiskPushSaveParam")
public class RiskPushSaveParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 1001709895607191990L;

    @ApiModelProperty(value = "工区id", example = "1", required = true)
    @NotNull(message = "工区id不能为空")
    Long workId;

    @ApiModelProperty(value = "风险等级", example = "1", required = true)
    @NotNull(message = "风险等级不能为空")
    Integer level;
}
