/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.warningMsg;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/23 13:44
 */
@ApiModel("WarningMessageParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class WarningMessageParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -1213328208483066739L;

    @ApiModelProperty(value = "通知方式", example = "1,2")
    String notificationMethod;

    @ApiModelProperty(value = "处置接收人", example = "1,2")
    String noticeRecipient;

    @ApiModelProperty(value = "通知内容", example = "去处理", required = true)
    @NotEmpty(message = "通知内容不能为空")
    String notificationInfo;
}
