/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.location.turnover;

import com.yiring.app.param.perstatistics.PersonnelStatisticsQueryParam;
import com.yiring.app.vo.perstatistics.PersonnelStatisticsDetailVo;
import com.yiring.app.vo.perstatistics.PersonnelStatisticsEchartsVo;
import com.yiring.app.vo.perstatistics.PersonnelStatisticsVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import javax.servlet.http.HttpServletResponse;

/**
 * @author tzl
 * 2022/5/15 11:41
 */
public interface LocationTurnoverService {
    /**
     * 分页区域人员统计信息
     * @author tzl
     * @date 2022/5/15 11:44
     * @param personnelStatisticsQueryParam PersonnelStatisticsQueryParam
     * @return com.yiring.common.core.Result<com.yiring.common.vo.PageVo<com.yiring.app.domain.location.LocationTurnover>>
     */
    Result<PageVo<PersonnelStatisticsVo>> pageInfo(
        PersonnelStatisticsQueryParam personnelStatisticsQueryParam,
        PageParam pageParam
    );
    /**
     * 首页图标
     * @author tzl
     * @date 2022/5/25 10:02
     * @return com.yiring.common.core.Result<com.yiring.common.vo.PageVo<com.yiring.app.vo.perstatistics.PersonnelStatisticsVo>>
     */
    Result<PageVo<PersonnelStatisticsEchartsVo>> listInfo();

    /**
     * 下拉框
     * @author tzl
     * @date 2022/5/16 13:59
     * @param personnelStatisticsQueryParam PersonnelStatisticsQueryParam
     * @return com.yiring.common.core.Result<com.yiring.common.vo.PageVo<com.yiring.app.vo.perstatistics.PersonnelStatisticsVo>>
     */
    Result<PageVo<PersonnelStatisticsVo>> indexInfo(PersonnelStatisticsQueryParam personnelStatisticsQueryParam);

    /**
     *
     * @author tzl
     * @date 2022/5/16 11:57
     * @param personnelStatisticsQueryParam PersonnelStatisticsQueryParam
     * @param httpServletResponse  HttpServletResponse
     */
    void export(PersonnelStatisticsQueryParam personnelStatisticsQueryParam, HttpServletResponse httpServletResponse);

    /**
     *
     * @author tzl
     * @date 2022/5/15 17:42
     * @param personnelStatisticsQueryParam PersonnelStatisticsQueryParam
     * @param pageParam PageParam
     * @return com.yiring.common.core.Result<com.yiring.common.vo.PageVo<com.yiring.app.vo.perstatistics.PersonnelStatisticsVo>>
     */
    Result<PageVo<PersonnelStatisticsDetailVo>> selectInfo(
        PersonnelStatisticsQueryParam personnelStatisticsQueryParam,
        PageParam pageParam
    );
}
