/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.risk;

import com.yiring.app.param.risk.RiskWithdrawalPushSaveParam;
import com.yiring.app.vo.risk.RiskWithdrawalPushVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;

/**
 * 撤离推送
 *
 * @author LJ-2204
 * @date 2022/5/24
 */
public interface RiskWithdrawalPushService {
    /**
     * 新增
     * @param param RiskWithdrawalPushSaveParam
     * @return Result<String>
     */
    Result<String> add(RiskWithdrawalPushSaveParam param);

    /**
     * 分页查询
     * @param pageParam PageParam
     * @return Result<PageVo<RiskWithdrawalPushVo>>
     */
    Result<PageVo<RiskWithdrawalPushVo>> page(PageParam pageParam);

    /**
     * 删除
     * @param idParam IdParam
     * @return Result<String>
     */
    Result<String> delete(IdParam idParam);

    /**
     * 修改
     * @param param RiskWithdrawalPushSaveParam
     * @param idParam IdParam
     * @return Result<String>
     */
    Result<String> modify(RiskWithdrawalPushSaveParam param, IdParam idParam);
}
