/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.location.tag;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 真源定位标签
 *
 * @author LJ-2204
 * @date 2022/6/1
 */

@ApiModel("ZyLocationTagVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class ZyLocationTagVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 6557523564240187110L;

    String entityName;

    @ApiModelProperty(value = "主键", example = "123")
    Long id;

    @ApiModelProperty(value = "工厂编号", example = "100")
    Long orgId;

    @ApiModelProperty(value = "更新时间", example = "2022-11-11 22:22:22")
    LocalDateTime raiseTime;

    @ApiModelProperty(value = "静止/运动", example = "t")
    Boolean silent;

    @ApiModelProperty(value = "类型", example = "定位/车辆")
    String tagCategory;

    @ApiModelProperty(value = "编号", example = "BTT88888888")
    String tagId;

    @ApiModelProperty(value = "使用/闲置", example = "t")
    Boolean used;

    @ApiModelProperty(value = "电量", example = "4050")
    Integer volt;

    @ApiModelProperty(value = "电量单位", example = "mV")
    String voltUnit;
}
