/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.rehearsal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/12 11:40
 */
@ApiModel("RehearsalPlanRealTimeVo")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class RehearsalPlanRealTimeVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 2540857588207414303L;

    @ApiModelProperty(value = "该数据的时间")
    private LocalDateTime time;

    @ApiModelProperty(value = "演练开始时在危险区域的人数")
    private Integer beginPeopleNum;

    @ApiModelProperty(value = "已在撤离区的人数", example = "20")
    private Integer evacuationPeopleNum;

    private List<UserLocationVo> userLocation;
}
