/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.risk;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiring.app.domain.risk.RiskPush;
import com.yiring.app.vo.workArea.WorkAreaVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 风险推送
 *
 * @author LJ-2204
 * @date 2022/5/23
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("RiskPushVo")
public class RiskPushVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -7639234704874660621L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "id", example = "1")
    Long id;

    @ApiModelProperty(value = "工区相关信息", example = "workAreaVo")
    WorkAreaVo workAreaVo;

    @ApiModelProperty(value = "风险等级", example = "红、橙、黄、蓝")
    Integer level;

    @ApiModelProperty(value = "撤离推送总数", example = "1")
    String withdrawalPush;

    @ApiModelProperty(value = "处置推送总数", example = "1")
    String handlePush;

    public static RiskPushVo transform(RiskPush riskPush) {
        return RiskPushVo.builder().id(riskPush.getId()).level(riskPush.getLevel()).build();
    }
}
