/* (C) 2022 YiRing, Inc. */
package com.yiring.app.web.risk;

import com.yiring.app.param.risk.RiskHandlePushSaveParam;
import com.yiring.app.service.risk.RiskHandlePushService;
import com.yiring.app.vo.risk.RiskHandlePushVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import javax.validation.Valid;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * 处置推送
 *
 * @author LJ-2204
 * @date 2022/5/24
 */

@Slf4j
@Validated
@SuppressWarnings({ "deprecation" })
@Api(tags = "处置推送", description = "RiskHandlePush")
@RestController
@RequestMapping("/risk/handle/push/")
public class RiskHandlePushController {

    @Resource
    RiskHandlePushService riskHandlePushService;

    @ApiOperation("新增")
    @PostMapping("add")
    public Result<String> add(@Valid RiskHandlePushSaveParam param) {
        return riskHandlePushService.add(param);
    }

    @ApiOperation("分页查询")
    @GetMapping("page")
    public Result<PageVo<RiskHandlePushVo>> page(@Valid PageParam pageParam) {
        return riskHandlePushService.page(pageParam);
    }

    @ApiOperation("删除")
    @DeleteMapping("delete")
    public Result<String> delete(@Valid IdParam idParam) {
        return riskHandlePushService.delete(idParam);
    }

    @ApiOperation("编辑")
    @PutMapping("modify")
    public Result<String> modify(@Valid RiskHandlePushSaveParam param, @Valid IdParam idParam) {
        return riskHandlePushService.modify(param, idParam);
    }
}
