/* (C) 2021 YiRing, Inc. */
package com.yiring.common.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.Valid;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 公共的可选父级 ID 查询参数
 *
 * @author ifzm
 * @version 0.1
 * 2019/5/28 22:11
 */
@ApiModel(value = "OptionalPidParam", description = "公共的可选父级 ID 查询参数")
@Valid
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class OptionalPidParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -8690942241103456893L;

    @ApiModelProperty(value = "pid", example = "0")
    Long pid;
}
